icegridadmin(1)

NAME
icegridadmin - The IceGrid command-line administrative utility.

SYNOPSIS
icegridadmin [options]

DESCRIPTION
The icegridadmin utility is a command-line tool for administering an IceGrid domain. Deploying an application with this utility requires an XML file that defines the descriptors. Full documentation for icegridadmin is available online at:
"https://doc.zeroc.com/display/Ice36/icegridadmin+Command+Line+Tool".

OPTIONS

-h, --help
    Show program help.

-v, --version
    Display the Ice version.

-e COMMANDS
    Execute COMMANDS.

-d, --debug
    Print debug messages.

-s, --server
    Start icegridadmin as a server (to parse XML files).

-u, --username
    Login with the given username.

-p, --password
    Login with the given password.

-S, --ssl
    Authenticate through SSL.

-r, --replica NAME
    Connect to the replica NAME.

SEE ALSO
icegridnode(1), icegridregistry(1),